---
lang: en
title: 'API docs: tsdocs.updateapidocs'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.tsdocs.updateapidocs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [updateApiDocs](./tsdocs.updateapidocs.md)

## updateApiDocs() function

Update markdown files generated by api-documenter to prepend Jekyll metadata and generate `apidocs/index.md`<!-- -->.

<b>Signature:</b>

```typescript
export declare function updateApiDocs(options?: ApiDocsOptions): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>ApiDocsOptions</code> | Options for api docs |

<b>Returns:</b>

`Promise<void>`


